﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using xNL_Analyser;

namespace GraphTest2 {
   public partial class Form1 : Form {
      public Form1()
      {
         InitializeComponent();

         chartController1.Chart = tChart1;

         InitializeChart();
      }

      //Steema.TeeChart.Styles.Surface series1;
      //Steema.TeeChart.Tools.LegendPalette legendPalette1;

      private ColourPalette colourPalette;
      private double colourScale;

      private void InitializeChart()
      {
         colourPalette = new ColourPalette();
         colourPalette.Load("cmap.xml");

         double maxrate = 255;
         double minrate = 0;

         if (maxrate != minrate) {
            colourScale = colourPalette.Colours.Count / (maxrate - minrate);
         } else {
            colourScale = 0; 
         }

         // Configure ColorGrid's palette
         colorGrid1.PaletteSteps = colourPalette.Colours.Count;
         colorGrid1.ClearPalette();
         for (int colouri = 0; colouri < colourPalette.Colours.Count; colouri++) {
            colorGrid1.AddPalette(minrate + colouri / colourScale,
                     colourPalette.Colours[colouri]);
         }
         colorGrid1.UseColorRange = false;
         colorGrid1.UsePalette = true;

         //colorGrid1 = new Steema.TeeChart.Styles.ColorGrid(;

         //colorGrid1.
         colorGrid1.Clear();
         for (int i = 0; i < 1024; i++) {
            int j;
            double val = (double)numericUpDown1.Value;
            for (j = 0; j < val; j++) {
               colorGrid1.Add(i, (i * j) % 255, j);
            }
         }
      }

      private void button1_Click(object sender, EventArgs e)
      {
         InitializeChart();
      }

   }
}
